Subject: PMP> OID Registrations

From: "Bergman, Ron" <[email-masked]>
Date: Thu, 14 Apr 2005 11:24:31 -0700

Jerry,

I found the Email from Don with the OID allocation proposal but I cannot
find in any of the minutes where it was approved and who was to create 
the registration document.  I recall it being discussed in a meeting but
do not remember if anyone was assigned to followup.

From Don's email in the JMP archives dated 14 Nov 1997, subject:
"Job MIB - trials and tribulations"

To be consistant, we might even want to do something like:
......2699.1........ MIBS
..... 2699.1.1.1...... Job Mib
..... 2699.1.1.2 ..... Future Job Mib extensions
..... 2699.1.2.1 ..... Finisher Mib
..... 2699.1.2.2 ..... Finisher Mib extensions
..... 2699.1.3.1 ..... Hey, how about... Printer Mib
..... 2699.1.3.2 ..... Printer MIB extensions
..... 2699.1.3.2 ..... Printer MIB extensions
......2699.2........ PROTOCOLS
......2699.2.1...... IPP
..... 2699.2.1.1 ..... IPP Operations (as suggested by someone, below)
..... 2699.2.1.2 ..... IPP Attributes
......2699.2.2....... Some Other Protocol
......2699.3........ SOMETHING_ELSE_BESIDES_MIBS_AND_PROTOCOLS
The actual current official assignments are:
......2699.1........ MIBS
..... 2699.1.1....... jobMonMIB
..... 2699.1.1.1...... jobmonMIBObjects
..... 2699.1.1.2 ..... jobmonMIBNotifications
..... 2699.1.1.2 ..... jobmonMIBConformance
..... 2699.1.2....... Port Monitor MIB
......2699.2........ PROTOCOLS

where the third level is assigned by the project, not the PWG.

So the present PWG OID assignment tree is:

......2699.1........ MIBS
..... 2699.1.1....... Job Monitoring MIB  (jobMonMIB, RFC 2707)
..... 2699.1.2....... Port Monitor MIB  (ppmMIB, TBA)
..... 2699.1.3....... (TBA)
......2699.2........ PROTOCOLS
..... 2699.2.2....... (TBA)
..... 2699.3....... (TBA)

Now, all we need is a home for this information.

	Ron